Subject: RE:Help needed Linux-2.6 - MPC8541

From: "info" <[email-masked]>
Date: Sun, 23 Oct 2005 23:39:00 +0800

Junita

Sorry to disturbed you. I find your question in the http://ozlabs.org mail list.
Have you fixed the bug in gianfar_phy.c? 
tempval = gfar_read(&priv-> regs-> dmactrl);
tempval |= (DMACTRL_GRS | DMACTRL_GTS);
gfar_write(&priv-> regs-> dmactrl, tempval);

while (!(gfar_read(&priv-> regs-> ievent) & (IEVENT_GRSC | IEVENT_GTSC)))
cpu_relax();

/* Reset MAC layer */
gfar_write(&priv-> regs-> maccfg1, MACCFG1_SOFT_RESET);

I buy a RMC-G8500 card from GDAtech, I try to build linux-2.6.13.4 from kernel.org and meet the same problems as you had. I test the same code on freescale 8540_ADS board, it is good.Can you share some infomation of your progress?

Thank you!
Jian